summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZhang Le <r0bertz@gentoo.org>2009-03-15 01:59:06 +0800
committerZhang Le <r0bertz@gentoo.org>2009-03-15 01:59:06 +0800
commit9284f3814606c3cc2239d3c85f3df0888a6e7b6d (patch)
tree0e8f54ee390da41038de6bfda1170e8bef942ff0 /dev-libs
parentMerge branch 'master' of ssh://192.168.1.101/var/git/loongson (diff)
downloadloongson-9284f3814606c3cc2239d3c85f3df0888a6e7b6d.tar.gz
loongson-9284f3814606c3cc2239d3c85f3df0888a6e7b6d.tar.bz2
loongson-9284f3814606c3cc2239d3c85f3df0888a6e7b6d.zip
added fcgi-2.4.1_pre0311112127.ebuild
Signed-off-by: Zhang Le <r0bertz@gentoo.org>
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/fcgi/Manifest2
-rw-r--r--dev-libs/fcgi/fcgi-2.4.1_pre0311112127.ebuild56
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-libs/fcgi/Manifest b/dev-libs/fcgi/Manifest
index 5a41e85..b19dd81 100644
--- a/dev-libs/fcgi/Manifest
+++ b/dev-libs/fcgi/Manifest
@@ -3,6 +3,8 @@ AUX fcgi-2.4.0-clientdata-pointer.patch 3203 RMD160 fb6e7341cd162640665c4c2b6578
AUX fcgi-2.4.0-html-updates.patch 2527 RMD160 465ee1b04f820237d70ff9f39f37ef9473f4c51b SHA1 94b13aa049d9c331993b2510fd29bd2109269ba4 SHA256 df8b2eb4c017fedf6f27a5650e2f4f5636e66ec7d02d20a50282edbc8d636c69
AUX fcgi-gcc4.4.patch 224 RMD160 beb4f84156d92b44f21823dbf7e448a4a9ab493f SHA1 b74840f6b46cc7a2b8ef86bde7eefa634096b307 SHA256 5a3b1e9dc52e5c912d0bd68940df754ae2b6bdf1767e143eda825e9f11469d37
DIST fcgi-2.4.0.tar.gz 468682 RMD160 df5c01b197bc72fca7abee184a34ec14253dd0f0 SHA1 2329404159e8b8315e524b9eaf1de763202c6e6a SHA256 66fc45c6b36a21bf2fbbb68e90f780cc21a9da1fffbae75e76d2b4402d3f05b9
+DIST fcgi-2.4.1-SNAP-0311112127.tar.gz 470078 RMD160 4671b72dce86bcb560f9b09b2325ac13949be5c7 SHA1 c751f4947696e4589d6d736d5ceef1f00c69544e SHA256 165604cffa37d534c348f78e4923d0f1ce4d8808b901891a9e64ebf634c4d0d5
EBUILD fcgi-2.4.0-r2.ebuild 1266 RMD160 01132303c2061407f966ff566f3366b63adce1d1 SHA1 f36a70d48065e39079dc7baeb5e54284cb6204a3 SHA256 91b8f483cf509ba52a16857cf1e1a7ae8c4724594145ff9766d6023dc888b4f6
+EBUILD fcgi-2.4.1_pre0311112127.ebuild 1371 RMD160 e23a1258225135b9dcc486a65081f074a96aa94f SHA1 351a5c58f93c2ad2768f2abfe2c4bc8c17c043f7 SHA256 9f0c8eeea7e3f62c245398374b5d684733a2899a5f1efe4382c559eb6f5daad9
MISC ChangeLog 4194 RMD160 44d3ec6fb2e43e66c213bd208bc17dd947997d88 SHA1 d6aed9a8d4f474de1453c24fb9bd03460ef72006 SHA256 d5d1273b7950ca1c1ae00c5b7f56fc18577fa9a46ba9e98ce127fdee44b988f1
MISC metadata.xml 289 RMD160 a2df0934ff577deccfcf7945371f6591d76985ff SHA1 fcea6dd24cfb01275e644fb085cb411c11ede40d SHA256 b266358f6f6f864635aa425c956c4067bbfff9bebeaa6d5a2b7480adbdace5fa
diff --git a/dev-libs/fcgi/fcgi-2.4.1_pre0311112127.ebuild b/dev-libs/fcgi/fcgi-2.4.1_pre0311112127.ebuild
new file mode 100644
index 0000000..25ca80c
--- /dev/null
+++ b/dev-libs/fcgi/fcgi-2.4.1_pre0311112127.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/fcgi/fcgi-2.4.1_pre0311112127.ebuild,v 1.1 2008/12/08 21:24:47 graaff Exp $
+
+inherit eutils autotools multilib
+
+DESCRIPTION="FastCGI Developer's Kit"
+HOMEPAGE="http://www.fastcgi.com/"
+SRC_URI="http://www.fastcgi.com/dist/fcgi-2.4.1-SNAP-0311112127.tar.gz"
+
+LICENSE="FastCGI"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="html"
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/fcgi-2.4.1-SNAP-0311112127"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}/fcgi-2.4.0-Makefile.patch"
+ epatch "${FILESDIR}/fcgi-2.4.0-clientdata-pointer.patch"
+ epatch "${FILESDIR}/fcgi-2.4.0-html-updates.patch"
+ epatch "${FILESDIR}/${PN}-gcc4.4.patch"
+
+ eautoreconf
+}
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install LIBRARY_PATH="${D}/usr/$(get_libdir)" || die
+
+ dodoc README
+
+ # install the manpages into the right place
+ doman doc/*.[13]
+
+ # Only install the html documentation if USE=html
+ if use html ; then
+ dohtml "${S}"/doc/*/*
+ insinto /usr/share/doc/${PF}/html
+ doins -r "${S}/images"
+ fi
+
+ # install examples in the right place
+ insinto /usr/share/doc/${PF}/examples
+ doins "${S}/examples/"*.c
+}